CREATE TABLE if NOt EXISTS Addresses (
AddressID INT GENERATED BY DEFAULT AS IDENTITY(START WITH 1, INCREMENT BY 1) PRIMARY KEY ,
Street VARCHAR(255) NOT NULL,
HouseNumber INT NOT NULL,
Bus VARCHAR(5) NULL,
ZipCode VARCHAR(10) NULL,
City VARCHAR(150) NOT NULL,
Country VARCHAR(100) NOT NULL);

CREATE TABLE if NOT EXISTS Customers (
CustomerID INT GENERATED BY DEFAULT AS IDENTITY(START WITH 1,INCREMENT BY 1) PRIMARY KEY ,
FirstName VARCHAR(45) NOT NULL,
LastName VARCHAR(45) NOT NULL,
Email VARCHAR(255) NOT NULL,
Telephone VARCHAR(16) NOT NULL,
AddressID INT NOT NULL,
Foreign key (AddressID) references Addresses(AddressID));

CREATE TABLE if NOT EXISTS Orders (
OrderID INT GENERATED BY DEFAULT AS IDENTITY(START WITH 1,INCREMENT BY 1) PRIMARY KEY,
OrderDate DATETIME NOT NULL,
CustomerID INT NOT NULL,
Foreign key (CustomerID) references Customers(CustomerID));

CREATE TABLE if NOT Exists Varieties (
VarietyID INT GENERATED BY DEFAULT AS IDENTITY(START WITH 1,INCREMENT BY 1) PRIMARY KEY,
Name VARCHAR(45) NOT NULL,
Description VARCHAR(255) NOT NULL,
Price DOUBLE NOT NULL);

CREATE TABLE if not exists Breeders (
BreederID INT GENERATED BY DEFAULT AS IDENTITY(START WITH 1, INCREMENT BY 1) PRIMARY KEY,
AddressID INT NOT NULL,
CompanyName VARCHAR(100) NOT NULL,
CustomerID INT NOT NULL);